[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

redhat_base on near -current




Hi,


I've got a system I built from sources of around May 6th
(+- a few hours) together with the corresponding ports,
and have the following problem:

I've got redhat_base installed, but rpm doesn't work:

# /emul/linux/bin/rpm --initdb
/usr/lib/rpm/rpmdb: error in loading shared libraries: libdb-3.1.so: cannot open shared object file: No such file or directory


find'ing in /emul/linux or pkg_info -L reveals that there are
only libdb's up to 2.1.3, so rpm _can't_ work. Either rpm
needed to be done against an older libdb, or that later
libdb should be included in the port.



TIA!


Best,
--Toni++



Visit your host, monkey.org